Skip to main content
Updates the information about business units in the dataset.

HTTP request

PUT https://api-{location-id}.flexicapture.com/v2/dataset/businessunits
Replace {location-id} with your supported location.

Request body

The request body has the following structure:
{
  "region": "US",
  "units": [
    {
      "external_id": "string",
      "name": [
        "string"
      ],
      "street": [
        "string"
      ],
      "city": [
        "string"
      ],
      "state": [
        "string"
      ],
      "zip": [
        "string"
      ],
      "country_code": "string",
      "vat": [
        "string"
      ]
    }
  ]
}
FieldTypeDescription
modelbody, object(UpdateBusinessUnitsModel)Required. List of business units.

UpdateBusinessUnitsModel

FieldTypeDescription
regionstringRequired. Business unit region. Supported regions: US: USA, AU: Australia, EU: European Union countries, CA: Canada.
units[]object(BusinessUnitModel)Required. List of business units.

BusinessUnitModel

FieldTypeDescription
external_idstringRequired. External ID.
name[]stringRequired. Business unit name.
street[]stringOptional. Business unit street.
city[]stringOptional. Business unit city.
state[]stringOptional. Business unit state.
zip[]stringOptional. Business unit zip code.
country_codestringRequired. Country code in ISO 3166-1 alpha-2 format.
vat[]stringOptional. Tax payer ID.

Response

If successful, the server returns a 204 No Content HTTP status.